apiVersion: capabilities.3scale.net/v1beta1
kind: Backend
metadata:
  name: backend-a
  annotations:
     "insecure_skip_verify": "true"
spec:
  metrics:
    hits:
      description: Number of API hits
      friendlyName: Hits
      unit: hit
  name: Backend A
  privateBaseURL: https://private-a.example.com
  systemName: backend_a_123
---
apiVersion: capabilities.3scale.net/v1beta1
kind: Backend
metadata:
  name: backend-b
  annotations:
    "insecure_skip_verify": "true"
spec:
  metrics:
    hits:
      description: Number of API hits
      friendlyName: Hits
      unit: hit
  name: Backend B
  privateBaseURL: https://private-b.example.com
  systemName: backend_b_123
---
apiVersion: capabilities.3scale.net/v1beta1
kind: Product
metadata:
  name: test-product
  annotations:
    "insecure_skip_verify": "true"
spec:
  applicationPlans:
    plan_foo_bar:
      appsRequireApproval: false
      limits:
      - metricMethodRef:
          backend: backend_b_123
          systemName: hits
        period: eternity
        value: 0
      name: foo-bar
      published: true
  backendUsages:
    backend_a_123:
      path: /foo
    backend_b_123:
      path: /bar
  deployment:
    apicastSelfManaged:
      authentication:
        appKeyAppID:
          appID: app_id
          appKey: app_key
          credentials: headers
      productionPublicBaseURL: https://example.com
      stagingPublicBaseURL: https://staging.example.com
  name: Test product
  policies:
  - configuration: {}
    configurationRef: {}
    enabled: true
    name: apicast
    version: builtin
  systemName: test_product_123
